Name: 		xfce4-time-out-plugin
Summary:        Time-out plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 タイムアウトプラグイン
Version:        1.0.2
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.0/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gtk2-devel >= 2.8.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
xfce4-time-out-plugin is a plugin for the Xfce panel. It's a 
comfortable tool for taking a break from computer work every now 
and then. You can define a working interval and whenever time
of this interval has passed your screen is locked for a configurable
amount of time - which gives you enough time to grab a cup of 
coffee, smoke a cigarette or even do something healthy like eating, 
exercising, cleaning up or whatever.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
chmod +x $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libtime-out.so
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/panel/plugins/%{name}.desktop

%changelog
* Tue Apr 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.2-1
- new upstream release

* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.1-4
- rebuilt with libxfce4util 4.12.1

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.1-3
- modified libtime-out.so permission

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-1
- initial build for Vine Linux

